XmLGridReadPos(3X)

NAME
XmLGridReadPos - import data from a file to a specified location in a Grid

SYNTAX
int XmLGridReadPos(widget, file, format, delimiter, rowType, row, columnType, column)
Widget widget;
FILE *file;
int format;
char delimiter;
unsigned char rowType;
int row;
unsigned char columnType;
int column;

ARGUMENTS

widget
    Grid widget ID

file
    file to read from

format
    format of the file

delimiter
    delimiter if format is XmFORMAT_DELIMITED

rowType
    type of first row location

row location of first row

columnType
    type of first column location

column
    location of first column

DESCRIPTION
Imports data from a file in a given format into the Grid starting at the row and column specified by the given rowType, row, columnType, and column. Format must be either XmFORMAT_XL, where tabs separate columns and cell data is possibly surrounded by double-quotes, or XmFORMAT_DELIMITED, where data is delimited by the delimiter given. In either case, a new-line signifies a new row. The rows and columns imported into must exist at the time of this call. This function does not invoke any callbacks.

RETURN VALUE
The number of cells which had values set by this function.

SEE ALSO
XmLGridRead(3X)